vty-5.25.1: A simple terminal UI library

Safe Haskell | Safe
Language | Haskell2010

Graphics.Vty.Input.Mouse

Description

This module provides parsers for mouse events for both "normal" and "extended" modes. This implementation was informed by

http://invisible-island.net/xterm/ctlseqs/ctlseqs.html#h2-Mouse-Tracking

Synopsis

- requestMouseEvents :: String
- disableMouseEvents :: String
- isMouseEvent :: String -> Bool
- classifyMouseEvent :: String -> KClass

# Documentation

requestMouseEvents :: String Source #

These sequences set xterm-based terminals to send mouse event sequences.

disableMouseEvents :: String Source #

These sequences disable mouse events.

isMouseEvent :: String -> Bool Source #

Does the specified string begin with a mouse event?

classifyMouseEvent :: String -> KClass Source #

Attempt to lassify an input string as a mouse event.